package com.tofly.scada.mapper;

import com.tofly.scada.entity.UserX;
import org.apache.ibatis.annotations.Mapper;

/**
* @author haiqiu
* @description 针对表【TF_SMPN_USER_X(用户表)】的数据库操作Mapper
* @createDate 2022-05-18 09:22:34
* @Entity com.tofly.scada.entity.UserX
*/
@Mapper
public interface UserXMapper {

    int deleteByPrimaryKey(Long id);

    int insert(UserX record);

    int insertSelective(UserX record);

    UserX selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(UserX record);

    int updateByPrimaryKey(UserX record);

}
